Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
sensors::NumericSensor::ThresholdsChangedEvent Struct Reference

Event: Sensor thresholds have changed. More...

Inheritance diagram for sensors::NumericSensor::ThresholdsChangedEvent:

## Public Attributes
Thresholds | oldThresholds
| Threshold set before change.
Thresholds | newThresholds
| Threshold set after change.
Public Attributes inherited from event::UserEvent
string | actUserName
| user who triggered event
string | actIpAddr
| ip or device on which user is logged in
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event: Sensor thresholds have changed.

The documentation for this struct was generated from the following file:

- NumericSensor.idl